VFS_TSMSM(8)

NAME
vfs_tsmsm - VFS module for handling offline files with Tivoli Storage Manager Space Management

SYNOPSIS

vfs objects = tsmsm

DESCRIPTION

This VFS module is part of thesamba(7) suite.

The tsmsm VFS module is an extension for handling offline files with Tivoli Storage Manager Space Management.

It tries to avoid calling expensive DMAPI calls with some heuristics based on the fact that number of blocks reported of a file multiplied by 512 will be bigger than 'online ratio' of actual size for online (non-migrated) files. If heuristic check fails, the module calls DMAPI and asks for a specific attribute which is present for offline (migrated) files. If this attribute presents, the file is considered offline.

This module is not stackable.

OPTIONS

tsmsm:hsm script = [ path to hsm script ]
    hsm script should point to a shell script which accepts two arguments: operation and filepath. the tsmsm module only uses "offline" for operation to set the file under filepath offline.

tsmsm:online ratio = [ number ]
    Ratio to check reported size against actual file size. The default value is 0.5.

tsmsm:dmapi attribute = [ attribute-name ]
    Name of a DMAPI attribute that is present when a file is offline. The default is "IBMobj" (which is what GPFS uses).

tsmsm:dmapi value = [ value for the DMAPI attribute ]
    Value that the DMAPI attribute should have for the file to be considered offline. The default is empty (no value required).

EXAMPLES

A GPFS mount with TSM support can be exported via Samba as follows:
        [gpfs_tsm_share]
	vfs objects = tsmsm gpfs
	path = /test/gpfs_mount

VERSION

This man page is correct for version 4.0 of the Samba suite.

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.